Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# OnscreenGeom Class Reference

Inherits direct::showbase::DirectObject::DirectObject, and pandac::PandaModules::NodePath.

List of all members.

## Public Member Functions
def | __init__
def | __setitem__
def | cget
def | configure
def | destroy
def | getGeom
def | setGeom

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | geom = `None`,
|  |  | pos = `None`,
|  |  | hpr = `None`,
|  |  | scale = `None`,
|  |  | color = `None`,
|  |  | parent = `None`,
|  |  | sort = `0`
| ) |  |

    Make a geom node from string or a node path,
    put it into the 2d sg and set it up with all the indicated parameters.

    The parameters are as follows:

      geom: the actual geometry to display or a file name.
    This may be omitted and specified later via setGeom()
    if you don't have it available.

      pos: the x, y, z position of the geometry on the screen.
           This maybe a 3-tuple of floats or a vector.
           y should be zero

      hpr: the h, p, r of the geometry on the screen.
           This maybe a 3-tuple of floats or a vector.

      scale: the size of the geometry.  This may either be a single
     float, a 3-tuple of floats, or a vector, specifying a
     different x, y, z scale.  y should be 1

      color: the (r, g, b, a) color of the geometry.  This is
     normally a 4-tuple of floats or ints.

      parent: the NodePath to parent the geometry to initially.

## Member Function Documentation

def __setitem__ | ( |  | self,
|  |  | key,
|  |  | value
| ) |  |

def cget | ( |  | self,
|  |  | option
| ) |  |

def configure | ( |  | self,
|  |  | option = `None`,
|  |  | kw
| ) |  |

def destroy | ( |  | self | ) |

def getGeom | ( |  | self | ) |

def setGeom | ( |  | self,
|  |  | geom,
|  |  | parent = `NodePath()`,
|  |  | transform = `None`,
|  |  | sort = `0`,
|  |  | color = `None`
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties